spring:
  cloud:
#    config:
#      # 如果本地配置优先级高，那么 override-none 设置为 true，包括系统环境变量、本地配置文件等配置
#      override-none: true
#      # 如果想要远程配置优先级高，那么 allow-override 设置为 false，如果想要本地配置优先级高那么 allow-override 设置为 true
#      allow-override: true
#      # 只有系统环境变量或者系统属性才能覆盖远程配置文件的配置，本地配置文件中配置优先级低于远程配置；注意本地配置文件不是系统属性
#      override-system-properties: false
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 192.168.8.146:32470
      config:
        # 配置中心地址
        server-addr: 192.168.8.146:32470
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
  r2dbc:
    #注意下面修改 easyorm相关也需要修改
    #url: r2dbc:postgresql://localhost:5432/postgres #postgresql请使用此配置
    url: r2dbc:mysql://192.168.8.146:30416/qiuguo_iot?ssl=false&serverZoneId=Asia/Shanghai # mysql请使用此配置
    #url: r2dbc:h2:file:///./data/h2db/jetlinks
    username: root
    password: 123456
  redis:
    #    cluster:
    #      nodes:
    #        - 127.0.0.1:7001
    #        - 127.0.0.1:7002
    host: 192.168.8.146
    port: 32030
    password: 123456
    timeout: 5000